/* Header for ShellyV1.4 - the ShellShapeGenerator */
/* by RANDi:                                       */
/*        (rschultz@informatik.uni-rostock.de)     */


/* output-types */ 

#define POV 1
#define RPL 2
#define T3D 3
#define RAW 4

/* calculation-modi */

#define NORMAL 1
#define NODULE 2


#define NO 0
#define YES 1

struct punkt 
{
 struct punkt *next;
 double x,y,z;
};


struct ShellyArguments
{
 double alpha, beta, phi, my, omega, omin, omax, smin, smax, A, a, b, P, W1, W2, N, L;
 double od, nod, sd, Threshold, Scan, Scale;
 double P2, W12, W22, N2, L2, Off2, P3, W13, W23, N3, L3, Off3;
 char povargs[256];
 int output, mode, Render;
};

#define pi 3.141592654
#define laenge 255

